|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionQ3ListViewItem Class Reference

The QStyleOptionQ3ListViewItem class is used to describe an item drawn in a Q3ListView. More...

    #include <QStyleOptionQ3ListViewItem>

Part of the QtGui module.

Inherits QStyleOption.

- List of all members, including inherited members

### Public Types

- enum Q3ListViewItemFeature { None, Expandable, MultiLine, Visible, ParentControl }
- flags Q3ListViewItemFeatures

### Public Functions

- QStyleOptionQ3ListViewItem ()
- QStyleOptionQ3ListViewItem ( const QStyleOptionQ3ListViewItem & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- int childCount
- Q3ListViewItemFeatures features
- int height
- int itemY
- int totalHeight

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionQ3ListViewItem class is used to describe an item drawn in a Q3ListView.

This is used by the compatibility Q3ListView to draw its items. It should be avoided for new classes.

See also Q3ListView and Q3ListViewItem.

## Member Type Documentation

### enum QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
flags QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures

This enum describes the features a list view item can have.

Constant | Value | Description
--- | --- | ---
`QStyleOptionQ3ListViewItem::None` | `0x00` | A standard item.
`QStyleOptionQ3ListViewItem::Expandable` | `0x01` | The item has children that can be shown.
`QStyleOptionQ3ListViewItem::MultiLine` | `0x02` | The item is more than one line tall.
`QStyleOptionQ3ListViewItem::Visible` | `0x04` | The item is visible.
`QStyleOptionQ3ListViewItem::ParentControl` | `0x08` | The item's parent is a type of item control (Q3CheckListItem::Controller).

The Q3ListViewItemFeatures type is a typedef for QFlags<Q3ListViewItemFeature>. It stores an OR combination of Q3ListViewItemFeature values.

See also features, Q3ListViewItem::isVisible(), Q3ListViewItem::multiLinesEnabled(), and Q3ListViewItem::isExpandable().

## Member Function Documentation

### QStyleOptionQ3ListViewItem::QStyleOptionQ3ListViewItem ()

Constructs a QStyleOptionQ3ListViewItem. The members variables are initialized to default values.

### QStyleOptionQ3ListViewItem::QStyleOptionQ3ListViewItem ( const QStyleOptionQ3ListViewItem & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionQ3ListViewItem::Type

Equals SO_Q3ListViewItem.

### const int QStyleOptionQ3ListViewItem::Version

Equals 1.

### int QStyleOptionQ3ListViewItem::childCount

This variable holds the number of children the item has.

### Q3ListViewItemFeatures QStyleOptionQ3ListViewItem::features

This variable holds the features for this item.

This variable is a bitwise OR of the features of the item.

See also Q3ListViewItemFeature.

### int QStyleOptionQ3ListViewItem::height

This variable holds the height of the item.

This doesn't include the height of the item's children.

See also Q3ListViewItem::height().

### int QStyleOptionQ3ListViewItem::itemY

This variable holds the Y-coordinate for the item.

See also Q3ListViewItem::itemPos().

### int QStyleOptionQ3ListViewItem::totalHeight

This variable holds the total height of the item, including its children.

See also Q3ListViewItem::totalHeight().